Bug 880917 - Move/Copy disk dialogs - when source/target domain is inactive, a clearer indication should be given to the user
Summary: Move/Copy disk dialogs - when source/target domain is inactive, a clearer ind...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.1.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 3.2.0
Assignee: Daniel Erez
QA Contact: Leonid Natapov
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-28 07:19 UTC by Vered Volansky
Modified: 2016-02-10 17:32 UTC (History)
10 users (show)

Fixed In Version: SF9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-02 08:15:14 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
engine.log - attempted move (17.85 KB, text/x-log)
2012-11-28 07:19 UTC, Vered Volansky
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 11873 0 None None None Never

Description Vered Volansky 2012-11-28 07:19:02 UTC
Created attachment 653314 [details]
engine.log - attempted move

Description of problem:
Storage domain is in maintenance.
Disks on this storage domain can be moved and removed (the options are enabled).
These options should be disabled when the storage domain is inactive.

Version-Release number of selected component (if applicable):
3.1 DC and cluster.

How reproducible:
Always.

Steps to Reproduce:
1. Put a storage domain with disks on it in maintenance
2. See that the move and remove options are enabled
3.
  
Actual results:
User can attempt removing or moving a disk, followed by an error message:
-------------------------------------------------------------------------
Error while executing action: Cannot move Virtual Machine Disk. The relevant Storage Domain is inaccessible.
-Please handle Storage Domain issues and retry the operation.
-------------------------------------------------------------------------
Log:
CanDoAction of action MoveOrCopyDisk failed. Reasons:VAR__ACTION__MOVE,VAR__TYPE__VM_DISK,ACTION_TYPE_FAILED_STORAGE_DOMAIN_STATUS_ILLEGAL

Expected results:
move and remove options should be disabled, user shouldn't be able to attempt this action.

Additional info:
attached log

Comment 2 Allon Mureinik 2012-11-28 15:07:00 UTC
devel ack for greying  out the button depending on the SD's status.

Comment 5 RHEL Program Management 2013-01-02 08:15:14 UTC
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Comment 6 Daniel Erez 2013-01-06 19:49:54 UTC
Suggested solution,

Move/Copy disk dialogs:
* Each "problematic" [1] disk should be marked by an exclamation mark
(located left to each row) with a tool-tip for explanation.
[1] problematic - source/target storage domain is not available.
* In addition to an exclamation mark, a warning should be displayed;
e.g. "Some of the disks cannot be moved/copied since the source or target domains are inactive".
* When pressing "OK", only non-problematic disks should be sent to the backend.

Comment 7 Ayal Baron 2013-01-07 06:41:48 UTC
(In reply to comment #6)
> Suggested solution,
> 
> Move/Copy disk dialogs:
> * Each "problematic" [1] disk should be marked by an exclamation mark
> (located left to each row) with a tool-tip for explanation.
> [1] problematic - source/target storage domain is not available.
> * In addition to an exclamation mark, a warning should be displayed;
> e.g. "Some of the disks cannot be moved/copied since the source or target
> domains are inactive".
> * When pressing "OK", only non-problematic disks should be sent to the
> backend.

Note that current behaviour is to move the ones we can and fail the rest so behaviour doesn't change with this solution, just the way we report the problems to the user (inside the dialog instead of canDoAction)

Comment 8 Leonid Natapov 2013-03-05 15:22:53 UTC
sf9. when trying to move disk when its storage domain in maintenance move disk dialog shows the following message:

No active Storage Domain is available - check Storage Domains and Hosts status.

user can only hit close button.

closing as verified.

Comment 9 Itamar Heim 2013-06-11 08:30:59 UTC
3.2 has been released

Comment 10 Itamar Heim 2013-06-11 08:31:11 UTC
3.2 has been released

Comment 11 Itamar Heim 2013-06-11 08:32:44 UTC
3.2 has been released


Note You need to log in before you can comment on or make changes to this bug.